\documentclass{standalone}

\usepackage{tikz}
 \input{couleur.sty}


\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm,mydashed/.style={dashed,dash phase=1pt}]
\clip(-6.5,0) rectangle (-1.5,6);
\fill[line width=1.5pt,color=A2,fill=A2] (-2,1) -- (-6,1) -- (-4,5) -- cycle;
\fill [line width=1.5pt,color=A2,fill=A2](-2,1) arc(0:-180:2cm and 0.5cm);
\draw [line width=1.5pt, mydashed](-2,1) arc(0:180:2cm and 0.5cm);
\draw [line width=1.5pt, mydashed](-2,1)--(-6,1);
\draw [line width=1.5pt, mydashed](-4,1)--(-4,5);
\draw [line width=1.5pt](-2,1) arc(0:-180:2cm and 0.5cm);
\draw [line width=1.5pt] (-4,5)-- (-6,1);
\draw [line width=1.5pt] (-4,5)-- (-2,1);
\begin{Large}
\draw[color=black] (-6.25,1.25) node {$A$};
\draw[color=black] (-4,5.25) node {$S$};
\end{Large}
\fill[line width=1.5pt,](-4,1.2) -- (-3.8,1.2) -- (-3.8,1) -- (-4,1) -- cycle;
\draw[line width=1.5pt](-4,1.2) -- (-3.8,1.2);
\draw[line width=1.5pt](-3.8,1.2) -- (-3.8,1);
\end{tikzpicture}
\end{document}